// MBView.h : interface of the CMBView class
//


#pragma once
#include "afxwin.h"


class CMBView : public CFormView
{
protected: // create from serialization only
	CMBView();
	DECLARE_DYNCREATE(CMBView)

public:
	enum{ IDD = IDD_MOEBIUS_FORM };

// Attributes
public:
	CMBDoc* GetDocument() const;

// Operations
public:


// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	
// Implementation
public:
	virtual ~CMBView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	CEdit m_ctrlWidth;
//	virtual BOOL PreTranslateMessage(MSG* pMsg);
	CEdit m_ctrlRadius;
	afx_msg void OnBnClickedButtonApply();
	afx_msg void OnDeltaposSpinRadius(NMHDR *pNMHDR, LRESULT *pResult);
protected:
	virtual void OnUpdate(CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/);
public:
	afx_msg void OnDeltaposSpinFillet(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpinSideNum(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDeltaposSpinRadiusSec(NMHDR *pNMHDR, LRESULT *pResult);
	CEdit m_ctrlFillet;
	CEdit m_ctrlSideNum;
	CEdit m_ctrlTurn;
	afx_msg void OnDeltaposSpinTurn(NMHDR *pNMHDR, LRESULT *pResult);
	CEdit m_ctrlSteps;
	afx_msg void OnDeltaposSpinSteps(NMHDR *pNMHDR, LRESULT *pResult);
	CEdit m_ctrlStartAngle;
	afx_msg void OnDeltaposSpinStartAngle(NMHDR *pNMHDR, LRESULT *pResult);
};

#ifndef _DEBUG  // debug version in MBView.cpp
inline CMBDoc* CMBView::GetDocument() const
   { return reinterpret_cast<CMBDoc*>(m_pDocument); }
#endif

