// SaverWnd.cpp : implementation file
//

#include "stdafx.h"
#include <Moebius/MoebiusStrip.h>
#include "GLWnd.h"
#include "SaverWnd.h"
#include "CISaver.h"



// CSaverWnd

IMPLEMENT_DYNAMIC(CSaverWnd, CGLWnd)
CSaverWnd::CSaverWnd()
{
}

CSaverWnd::~CSaverWnd()
{
}


BEGIN_MESSAGE_MAP(CSaverWnd, CGLWnd)
	ON_WM_ACTIVATE()
	ON_WM_ACTIVATEAPP()
	ON_WM_LBUTTONDOWN()
	ON_WM_MBUTTONDOWN()
	ON_WM_RBUTTONDOWN()
	ON_WM_KEYDOWN()
	ON_WM_MOUSEMOVE()
	ON_WM_SYSKEYDOWN()
	ON_WM_SYSCOMMAND()
	ON_WM_NCACTIVATE()
	ON_WM_DESTROY()
	ON_WM_SETCURSOR()
//	ON_WM_CREATE()
//	ON_WM_TIMER()
END_MESSAGE_MAP()



// CSaverWnd message handlers


BOOL CSaverWnd::Create()
{
	TRACE("CSaverWnd::Create()\n");

	CRect rect(0, 0, ::GetSystemMetrics(SM_CXSCREEN),	::GetSystemMetrics(SM_CYSCREEN));

	return CGLWnd::myCreate(WS_EX_TOPMOST, WS_VISIBLE|WS_POPUP, rect, NULL, 0);

	//return CGLWnd::Create(lpszClassName, lpszWindowName, dwStyle, rect, pParentWnd, nID, pContext);
}

void CSaverWnd::OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized)
{
		if (nState == WA_INACTIVE) PostMessage(WM_CLOSE);
		CGLWnd::OnActivate(nState, pWndOther, bMinimized);
}

void CSaverWnd::OnActivateApp(BOOL bActive, DWORD dwThreadID)
{
		if (!bActive)	PostMessage(WM_CLOSE);
		CGLWnd::OnActivateApp(bActive, dwThreadID);
}

void CSaverWnd::OnLButtonDown(UINT nFlags, CPoint point)
{
	PostMessage(WM_CLOSE);
	CGLWnd::OnLButtonDown(nFlags, point);
}

void CSaverWnd::OnMButtonDown(UINT nFlags, CPoint point)
{
	PostMessage(WM_CLOSE);
	CGLWnd::OnMButtonDown(nFlags, point);
}

void CSaverWnd::OnRButtonDown(UINT nFlags, CPoint point)
{
	PostMessage(WM_CLOSE);
	CGLWnd::OnRButtonDown(nFlags, point);
}

void CSaverWnd::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags)
{
	PostMessage(WM_CLOSE);
	CGLWnd::OnKeyDown(nChar, nRepCnt, nFlags);
}

void CSaverWnd::OnMouseMove(UINT nFlags, CPoint point)
{
	//PostMessage(WM_CLOSE);
	CGLWnd::OnMouseMove(nFlags, point);
}

void CSaverWnd::OnSysKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags)
{
	PostMessage(WM_CLOSE);
	CGLWnd::OnSysKeyDown(nChar, nRepCnt, nFlags);
}
BOOL CSaverWnd::OnNcActivate(BOOL bActive)
{
	if (!bActive)	return FALSE;
	return CGLWnd::OnNcActivate(bActive);
}

void CSaverWnd::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID == SC_SCREENSAVE) || (nID == SC_CLOSE))		return;
	CGLWnd::OnSysCommand(nID, lParam);
}

void CSaverWnd::OnDestroy()
{
	PostQuitMessage(0);
	CGLWnd::OnDestroy();
}

BOOL CSaverWnd::OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message)
{
	SetCursor(NULL);
	return TRUE;
}
